#!/bin/sh

pam_install_path="/usr/lib/iss-pam"
support_files_path="/var/www/lmi/public/viewers/SupportFiles"

support_files="\
    featureCategory.xml \
    issues.csv \
    checkdates.csv \
    user-defined.csv \
    translations_en.xml \
    security_modes.csv \
    issue_blocks.csv \
    issue_icmp_blocks.csv \
    issue_responses.csv \
    *issue_blocks2.csv \
    *issue_icmp_blocks2.csv \
    *issue_responses2.csv \
    "

for file in $support_files; do
    rm -f $support_files_path/$file
    for source in $pam_install_path/$file; do
        if [ -f $source ]; then
            ln -sf $source $support_files_path/`basename $source`
        fi
    done
done
