class Statistics::EventsController < ApplicationController
  def index
    @events = SqliteSource.new("sig_events").data("order by id desc")
    
    respond_to do |format|
      format.html
      format.xml {render :xml => @events}
      format.json {render :json => @events}
    end
  end
  
  def all
    @events = SqliteSource.new("sig_events_all").data("order by id desc")
    
    respond_to do |format|
      format.html
      format.xml {render :xml => @events}
      format.json {render :json => @events}
    end
  end
end
