class Statistics::Top10intrudersController < ApplicationController

  before_filter :set_graphtype

  def set_graphtype
    @graphtype = "top10intruders" 
  end

  def show    
    @time = Top10.sanitize_time(params[:id])
    
    @href_preffix = "/statistics/#{@graphtype}"
    @href_postfix = ""
        
    @href, intruders = Top10.determine_datasource(@graphtype,@time,"",@href_preffix.clone)
    
    @actual_href = "#{@href}"
    #filters = ['sourceip','occurrences']
    @intruders = Top10.format_data(intruders)
    Top10.create_y_axis_link(@intruders,"source_ip")
    
    respond_to do |format|
      format.html
      format.xml # show.xml.builder
      format.json {render :json => @intruders}
    end
  end
end
