class Statistics::Top10victimsController < ApplicationController

  before_filter :set_graphtype

  def set_graphtype
    @graphtype = "top10victims" 
  end
 
  def show  
    @time = Top10.sanitize_time(params[:id])
   
    @href_preffix = "/statistics/#{@graphtype}"
    @href_postfix = ""
        
    @href, victims = Top10.determine_datasource(@graphtype,@time,"",@href_preffix.clone)
    
    @actual_href = "#{@href}"
    #filters = ['destip','occurrences']
    @victims = Top10.format_data(victims)
    Top10.create_y_axis_link(@victims,"target_ip")
    respond_to do |format|
      format.html
      format.xml # show.xml.builder
      format.json {render :json => @victims}
    end
  end
end
