class ZoomLogsController < ApplicationController

  layout :set_layout 

  def show
    
    index = params[:id]
    index = 1 if index.nil? or ! index.match(/^\d+$/)
    
    session[:lines] = session[:logdb].find_zoom_current(index.to_i)
      
    respond_to do |format|
      format.html 
      format.xml
    end
  end

  #Non restful  
  def page_newer
    session[:lines] = session[:logdb].find_zoom_newer
    render :partial => 'log_lines'
  end
  
  def page_older
    session[:lines] = session[:logdb].find_zoom_older
    render :partial => 'log_lines'
  end
  
  def pagination
    render :partial => 'pages'
  end

  def set_layout
    params[:fmt] == "xhr" ? false : "minimal"
  end
  
end
