class UpdateFile < ActiveRecord::Base
  def self.save(arg)

    raise ApplianceExceptions::FileBlank if file_blank?(arg)
    
    update = arg["update"]["ufile"]
    raise ApplianceExceptions::FileNotFound if file_not_found?(update)
    raise ApplianceExceptions::FileTooLarge if file_too_large?(update)
    File.open("#{FOLDER_UPDATED_POLICY}/#{update.original_filename}", "w"){|f| f.write(update.read)}
  end
  
  def self.file_not_found?(arg)
    arg.size == 0
  end
   
  def self.file_blank?(arg)
    (arg["update"].blank? || arg["update"]["ufile"].blank?)
  end

  def self.file_too_large?(update)
    DataSource.free_space?(update)
  end
end
