class CreateFilterTags < ActiveRecord::Migration
  def self.up
    create_table :filter_tags do |t|
      t.string :tag
      t.boolean :predefined, :default=>false
      t.string :filter_type
      t.string :meta_time
      t.string :query_string
      t.string :start_time
      t.string :end_time
      t.timestamps
    end
  end

  def self.down
    drop_table :filter_tags
  end
end
