class CreateLinks < ActiveRecord::Migration
  def self.up
    create_table :links do |t|
      t.integer :parent_id
      t.string :page_title
      t.string :link_title
      t.string :link_subtitle
      t.string :controller_name
      t.string :controller_path
      t.string :position
      t.boolean :cpe
      t.boolean :admin
      t.boolean :management
      t.boolean :enabled
      t.string :help
      t.boolean :nav_item, :default => true
      t.string :category_class

      t.timestamps
    end
  end

  def self.down
    drop_table :links
  end
end
