class CreateSiteProtectors < ActiveRecord::Migration
  def self.up
    create_table :site_protectors do |t|
      t.string :group
      t.boolean :local_override
      t.string :name
      t.string :address
      t.string :port
      t.string :crypto_level
      t.string :trust_level
      t.string :username
      t.string :password
      t.boolean :use_proxy
      t.string :proxy_address
      t.string :proxy_port
      t.boolean :proxy_auth_required
      t.string :proxy_username
      t.string :proxy_password
      t.string :connection_interval
      t.boolean :register_with_site_protector
      t.timestamps
    end
  end

  def self.down
    drop_table :site_protectors
  end
end

