class SystemSource < DataSource  
  def data
    return nil if @ds['type'] != 'issasapache'
    SystemSource.query_issasapache(@ds)
  end

  def self.query_issasapache(ds)
    cmdline = {}
    ds.each do |k,v|
      next if k.eql?('type')
      if k == 'action' && v =~ /^\w+$/ && v !~ /;/ then
        cmdline[:a] = v
      elsif k =~ /^\w+\d{0,1}$/ && v !~ /;/ then
        cmdline[k.to_sym] = v
      else
        return nil
        #raise DatasourceExceptions::MalformedArguments  
      end
    end
    if cmdline[:a].nil? then
      return nil
      #raise DatasourceExceptions::NoActionDefined 
    end
    
    data = Issasapache::run cmdline
    
    return data
  end
end
