class Setup::SetupController < ApplicationController
  before_filter [:check_conf_done, :check_configuring]
  
  def check_conf_done
    unless ajax? || RAILS_ENV == "development"
      redirect_to :controller => "/main/dashboard" if Appliance.configured?
    end
  end  
  
  def check_configuring
    if !params[:action] =~ /complete_setup/ && !ajax?
      redirect_to :controller => :completion, :action => :complete_setup if Appliance.configuring?
    end
  end
end