class LmiLogger
  private_class_method :new
  @@logger = nil
  
  def self.log
	  @@logger = Logger.new(File.dirname(__FILE__) + '/../log/production.log') if ENV["RAILS_ENV"] == "production" unless @@logger
	  @@logger = Logger.new(File.dirname(__FILE__) + '/../log/test.log') if ENV["RAILS_ENV"] == "test" unless @@logger
	  @@logger = Logger.new(File.dirname(__FILE__) + '/../log/development.log') unless @@logger
	  @@logger
  end
end
