class ObjectspaceCounter
  def ostats(last_stat = nil)
    stats = Hash.new(0)
    ObjectSpace.each_object {|o| stats[o.class] += 1}

    stats.sort {|(k1,v1),(k2,v2)| v2 <=> v1}.each do |k,v|
      printf "%-30s  %10d", k, v
      printf " delta %10d", (v - last_stat[k]) if last_stat
      puts
    end

    stats
  end
end


#Then you can place lines like this in your program
#stats = nil
#...
#stats = ostats stats
#...
#stats = ostats stats