var cpe_policy;
var is_cpe_applet;

function raiseError(error){
  $("#js_error_div").load('/messages/'+error, function(){
    $("#js_error_div").fadeIn();
  });
   return false;
}

function clearError(){
  $("#js_error_div").html("").fadeOut("slow");
}

/*
  Add given class to a set of elments
*/
function addClass(elements, css_class){
  $.each (elements, function (i, link){
    $(link).addClass(css_class);
  });
}

/*
  Remove given class from a set of elments
*/
function removeClass(elements, css_class, current_link){
  $.each (elements, function (i, link){
    if(link != current_link){
      $(link).removeClass(css_class);
      $(link).parent().removeClass(css_class);
    } 
  });
}


function prepareToggleLinks(){
  var arr = [];
  arr[0] = "#system";
  arr[1] = "#security";
  arr[2] = "#network";
  arr [3] = "#filter";

  $.each(arr, function(){
    var that = this;
    $(that+"_collapse").click(function(){

      if($(this).hasClass("hide_link")){
        $(that+"_summary").hide();
        $(this).attr("class", "show_link minimize_button");
      }else{
        $(this).attr("class", "hide_link minimize_button");
        $(that+"_summary").show();
      }
    });
  });
}


$(document).ready(function(){
  if($("#applet").exists()){
    $("#footer-container").css({"position":"relative"});  
  }

  var $dialog = $("<div></div>").dialog({autoOpen:false, show:'slide', hide:'slide'});
  
  $("#logout_link").click(function(){
    window.open('/main/logout', 'logout', 'toolbar=0, width=400, height=450, menubar=0, scrollbars=0, resizable=0');
  });

    $("#site-protector-toggle").click(function(){
       $("#sp-menu").fadeIn().children().slideDown();
     });

    $("#sp-connect-configure-link").click(function(){
          $("#sp-configure-confirm").fadeIn();       
    });

    $("#sp-configure-true").click(function(){
        document.location="/settings/siteprotector_management";
    });

   $("#sp-connect-link").click(function(){
        $("#sp-connect-confirm").fadeIn();
   });

      $("#sp-disconnect-link").click(function(){
        $("#sp-disconnect-confirm").fadeIn();
   });

   $("#sp-menu").hover(function(){},
    function(){ 
     $("#sp-menu").fadeOut();
   });

   $("#mgmt-sp").click(function(){
        $("#sp-connect-confirm").fadeOut("normal", function(){
            $("#register-message").fadeIn();
            $.ajax({
                    url: "/main/dashboard/toggle_sp",
                    type: "get",
                    data: {"id": "true"},
                    success: function(data){
                        json_data = eval( "(" + data + ")" );
                        json_data.error_status == "true" ? setError($("#system_message")) : setSuccess($("#system_message"), "SiteProtector");
                        $dialog.html(json_data.msg).dialog("open");
                        $("#register-message").fadeOut();
                        document.location = document.location;
                  }   
            });
        });
   });



   $("#mgmt-local").click(function(){
        $("#sp-disconnect-confirm").fadeOut("normal", function(){
            $("#unregister-message").fadeIn();
            $.ajax({
                   url: "/main/dashboard/toggle_sp",
                  type: "get",
                  data: {"id": "false"},
                  success: function(data){
                  json_data = eval( "(" + data + ")" );
                        json_data = eval( "(" + data + ")" );
                        json_data.error_status == "true" ? setError($("#system_message")) : setSuccess($("#system_message"), "Local Management Interface");
                          $dialog.html(json_data.msg).dialog("open");
                        $("#unregister-message").fadeOut();
                        document.location = document.location;
                  }   
            });
        });
   });

$("#test-sp-connection").click(function(){
  $("#app-test-sp-connection").fadeIn();
  $.ajax({
        url: "/appliance_maintenance/test_sp_connection",
        type: "get",
        success: function(data){
            json_data = eval( "(" + data + ")" );
             $("#app-test-sp-connection").fadeOut("normal", function(){
                $dialog.html(json_data.msg).dialog("open");

             });
     
        }
  });
});

   var setError = function(elm){
       elm.removeClass("ui-state-highlight").addClass("ui-state-error");
   };

    var setSuccess = function(elm, link_title){
        $("#site-protector-toggle").html(link_title);
        elm.removeClass("ui-state-error").addClass("ui-state-highlight");
   };

    $(".cancel-sp-connect").click(function(){
        $(".sp-confirm").fadeOut();
    });

  $(".top_nav_link").click(function (){
    var selected = $ (".selected"); 
    var sublinks = $(".subnav");    
    var current_link = this;
    var link_id = $(current_link).attr("id");
    removeClass(selected, "selected", current_link);

    if($("#meganav").css("display") == "block"){
      $("#meganav").slideUp("normal", function(){
        addClass(sublinks, "navhidden");
        $("."+link_id).removeClass("navhidden");
      });
    }else{
      addClass(sublinks, "navhidden");
      $("."+link_id).removeClass("navhidden");
    }
    

    if(!$(this).hasClass("selected")){  
      $("#meganav").slideDown("normal");
      $(this).addClass("selected");
      $(this).parent().parent().addClass("selected");
    }else{
      $(this).removeClass("selected");
      $(this).parent().parent().removeClass("selected");
    }


  });
  prepareToggleLinks();

  $("#ping-link").click(function(){
    $.ajax({
      url: "/ping_tool/ping",
      type: "get",
      data: {"id": "127.0.0.1"},
      success: function(res){
        $("#ping-result").html(res);
      }
    });
  });
});
